ExchangeRate Class Reference

exchange rate between two currencies More...

`#include <ql/exchangerate.hpp>`

## Public Types

enum | Type { Direct, Derived }

## Public Member Functions

Constructors
| ExchangeRate ()
| ExchangeRate (const Currency &source, const Currency &target, Decimal rate)
Inspectors
const Currency & | source () const
| the source currency.
const Currency & | target () const
| the target currency.
Type | type () const
| the type
Decimal | rate () const
| the exchange rate (when available)

## Utility methods

Money | exchange (const Money &amount) const
| apply the exchange rate to a cash amount
static ExchangeRate | chain (const ExchangeRate &r1, const ExchangeRate &r2)
| chain two exchange rates

## Detailed Description

exchange rate between two currencies

Tests:
  application of direct and derived exchange rate is tested against calculations.

## Member Enumeration Documentation

## Type

enum Type

Enumerator
Direct | given directly by the user
Derived | derived from exchange rates between other currencies

## Constructor & Destructor Documentation

## ExchangeRate()

ExchangeRate | ( | const Currency & | source,
|  | const Currency & | target,
|  | Decimal | rate
| ) |  |

the rate \( r \) is given with the convention that a unit of the source is worth \( r \) units of the target.